apiVersion: cdi.kubevirt.io/v1beta1
kind: DataSource
metadata:
  annotations:
    operator-sdk/primary-resource: openshift-cnv/ssp-kubevirt-hyperconverged
    operator-sdk/primary-resource-type: SSP.ssp.kubevirt.io
  creationTimestamp: "2025-10-29T11:54:04Z"
  generation: 11
  labels:
    app.kubernetes.io/component: storage
    app.kubernetes.io/managed-by: cdi-controller
    app.kubernetes.io/name: data-sources
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.19.12
    cdi.kubevirt.io/dataImportCron: rhel9-image-cron
    instancetype.kubevirt.io/default-instancetype: u1.medium
    instancetype.kubevirt.io/default-preference: rhel.9
    kubevirt.io/dynamic-credentials-support: "true"
  name: rhel9
  namespace: openshift-virtualization-os-images
  resourceVersion: "2228149"
  uid: 3938c0ea-ec60-44e9-a427-b7f1d5fe5a4e
spec:
  source:
    snapshot:
      name: rhel9-2f2cf92fff21
      namespace: openshift-virtualization-os-images
status:
  conditions:
  - lastHeartbeatTime: "2025-10-29T12:22:44Z"
    lastTransitionTime: "2025-10-29T12:22:44Z"
    message: DataSource is ready to be consumed
    reason: Ready
    status: "True"
    type: Ready
  source:
    snapshot:
      name: rhel9-2f2cf92fff21
      namespace: openshift-virtualization-os-images
